## libnb-platform18-java 7.4+dfsg1

=== o.n.bootstrap/launcher/windows/Makefile ===
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
# NOCDDL

# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib



# build
build: .build-post-$(CONF)

.build-pre:
# Add your pre 'build' code here...

.build-post-nbexec: .build-impl nbexecexe.cpp nbexecloader.h utilsfuncs.cpp nbexec_exe.rc
	windres.exe -Ocoff nbexec_exe.rc nbexec_exe.res
	g++ -s -mno-cygwin -DNBEXEC_DLL=\"nbexec.dll\" nbexecexe.cpp utilsfuncs.cpp nbexec_exe.res -o nbexec.exe
	cp nbexec.exe ../../../nbbuild/netbeans/platform/lib/
	cp nbexec.dll ../../../nbbuild/netbeans/platform/lib/
	
.build-post-nbexec64: .build-impl nbexecexe.cpp nbexecloader.h utilsfuncs.cpp nbexec_exe.rc
	x86_64-w64-mingw32-windres.exe -Ocoff nbexec_exe.rc nbexec_exe64.res 
	x86_64-w64-mingw32-g++.exe -m64 -s -mno-cygwin -DNBEXEC_DLL=\"nbexec64.dll\" -static-libgcc -static-libstdc++ nbexecexe.cpp utilsfuncs.cpp nbexec_exe64.res -o nbexec64.exe 
	cp nbexec64.exe ../../../nbbuild/netbeans/platform/lib/
	cp nbexec64.dll ../../../nbbuild/netbeans/platform/lib/



# clean
clean: .clean-post-$(CONF)

.clean-pre:
# Add your pre 'clean' code here...

.clean-post-nbexec: .clean-impl
	rm -f nbexec_exe32.res nbexec32.exe
	
.clean-post-nbexec64: .clean-impl
	rm -f nbexec_exe64.res nbexec64.exe



# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...



# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...



# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

=== debian/changelog ===
libnb-platform18-java (7.4+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Added the missing dependency on libjna-platform-java (Closes: #768622)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 08 Nov 2014 21:41:15 +0100

libnb-platform18-java (7.4+dfsg1-1) unstable; urgency=low

  * Team upload.

  [ Andrew Ross ]
  * New upstream release of Netbeans.
  * Switch to mingw-w64 (Closes: #680468)
  * Separate Netbeans Platform back into its own package.
  * Include cluster release number in source package name to allow
    multiple Netbeans platforms to be installed at once.
  * Build .nbm modules and install into their own package.
  * Upstream removed bashism from o.n.bootstrap/launcher/unix/nbexec
    (Closes: #690633)
  * Updated debian/patches.

  [ tony mancill ]
  * Bump standards version to 3.9.5.

 -- tony mancill <tmancill@debian.org>  Wed, 25 Dec 2013 10:42:18 -0800

libnb-platform-java (6.9-1) unstable; urgency=low

  [ Andres Mejia ]
  * Upload to Debian. (Closes: #610927)
  * Add Debian Java team as Maintainer, Yulia and myself as Uploaders.
  * Define a function for creation of symlinks.
  * Add symlinks for xhtml entries found only in /usr/share/xml/entities/xhtml
    for Debian.
  * Update packaging to use source format 3.0 (quilt) and dh with javahelper.
  * Refreshed patches.
  * Bumped to Standards-Version 3.9.1.

  [ Damien Raude-Morvan ]
  * d/copyright: Small fix for missing copyright assignment,
    Update to DEP-5 r166 format.
  * d/watch: Prepare for next upstream release.
  * d/control: Drop Depends: default-jre | java2-runtime as a Java
    library don't need to depends on runtime (Java Policy).

 -- Andres Mejia <mcitadel@gmail.com>  Sat, 22 Jan 2011 16:01:28 -0500

libnb-platform-java (6.9-0ubuntu2) maverick; urgency=low

  * Bug fix upload:
    - Patch netbeans-platform-6.9~suite-xml.patch is added
      (fix for http://netbeans.org/bugzilla/show_bug.cgi?id=189196)

 -- Yulia Novozhilova <Yulia.novozhilova@sun.com>  Fri, 20 Aug 2010 16:44:33 +0400

libnb-platform-java (6.9-0ubuntu1) maverick; urgency=low

  * New upstream release
    - License corrected
    - control/Standards-Version is changed to 3.9.0
    - debian/copyright file is updated
    - debian/patches are updated

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Mon, 02 Aug 2010 16:41:12 +0400

libnb-platform-java (6.8-0ubuntu2) lucid; urgency=low

  * debian/patches/l10n.patch added (LP: #527547)
  * debian/rules is updated to build l10n
  * control/Standards-Version is changed to 3.8.4

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Fri, 26 Mar 2010 16:20:17 +0300

libnb-platform-java (6.8-0ubuntu1) lucid; urgency=low

  * new upstream release (LP: 517083)
    - debian/copyright and watch files are updated 
      to point to the correct download location

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Fri, 11 Dec 2009 13:44:12 +0300

libnb-platform-java (6.7.1-0ubuntu1) karmic; urgency=low

  * new upstream release (LP: #418875)
   - control/Standards-Version is chaged to 3.8.3
   - copyright file updated

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Tue, 16 Jun 2009 16:18:50 +0400

libnb-platform-java (6.5-0ubuntu2) jaunty; urgency=low

  * Added debian/patches/60-6.5.1-patches.patch with bug fixes from
    NetBeans 6.5.1 (LP: #345562)

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Tue, 31 Mar 2009 18:48:21 +0400

libnb-platform-java (6.5-0ubuntu1) jaunty; urgency=low

  * New upstream version (LP: #316793)
  * added dependency of libnb-platform-devel-java 
              on libnb-platform9-java (LP: #276731)
  * removed version number from binary package:
           libnb-platform8-devel-java -> libnb-platform-devel-java          
  * watch file and get-orig-source target are added   

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Thu, 25 Sep 2008 22:27:16 +0400

libnb-platform-java (6.1-0ubuntu1) intrepid; urgency=low

  * Initial release (LP: #252658)
  
 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Wed, 21 May 2008 15:52:03 +0400

=== debian/control ===
Source: libnb-platform18-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Ross <ubuntu@rossfamily.co.uk>
Build-Depends: debhelper (>= 7.0.50~), javahelper, ant (>= 1.7.0),
 ant-optional (>= 1.7.0), default-jdk, java7-jdk,
 g++-mingw-w64-i686, g++-mingw-w64-x86-64,
 maven-repo-helper, w3c-dtd-xhtml, javacc,
 libjemmy2-java, javahelp2, libbindex-java,
 libswing-layout-java (>= 1.0.3), libjna-platform-java,
 libfelix-framework-java, libfelix-main-java, libosgi-core-java,
 libosgi-compendium-java, antlr3 (>= 3.2), libstringtemplate-java,
 junit4 (>= 4.6), libhamcrest-java, junit, libequinox-osgi-java,
 testng (>=6.8), libjnlp-servlet-java
Standards-Version: 3.9.5
Homepage: http://netbeans.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/libnb-platform-java.git
Vcs-Git: git://anonscm.debian.org/pkg-java/libnb-platform-java.git

Package: libnb-platform18-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, javahelp2, 
 libswing-layout-java (>= 1.0.3), libjna-platform-java, junit4 (>= 4.6),
 libfelix-framework-java, libfelix-main-java, libosgi-core-java,
 libosgi-compendium-java, libnb-org-openide-util-java (>= ${source:Version}),
 antlr3 (>= 3.2), libequinox-osgi-java, testng,
 libnb-org-openide-util-lookup-java (>= ${source:Version}), 
 libnb-org-openide-modules-java (>= ${source:Version})
Suggests: libnb-platform16-java-doc
Description: NetBeans Platform for building rich desktop applications in Java
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu 
 items, toolbar items, keyboard shortcuts and more. It is the core of the 
 NetBeans IDE.
 .
 This package provides the platform itself.

Package: libnb-platform-devel-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, libnb-platform18-java,
 ant, libjemmy2-java, javahelp2, libbindex-java, libjnlp-servlet-java,
Replaces: libnb-platform8-devel-java, libnb-platform7-devel-java
Conflicts: libnb-platform8-devel-java, libnb-platform7-devel-java
Description: Build harness for NetBeans Platform
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu 
 items, toolbar items, keyboard shortcuts and more. It is the core of the 
 NetBeans IDE.
 .
 This package contains the NetBeans Platform Harness containing the build 
 scripts and ant tasks required to build an application on top of NetBeans 
 Platform.

Package: libnb-platform18-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: ${java:Recommends}
Suggests: libnb-platform18-java
Enhances: libnb-platform18-java
Description: NetBeans Platform javadoc 
 NetBeans Platform is a set of modules, each providing their own APIs
 and working together or in a standalone mode. This package provides
 one master javadoc to all of them.

Package: libnb-org-openide-util-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, 
 libnb-org-openide-util-lookup-java (>= ${source:Version})
Provides: libopenide-util-java
Replaces: libopenide-util-java
Conflicts: libopenide-util-java
Description: Utility classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package provides
 some utility functions used by the modules that make up the platform.

Package: libnb-org-openide-util-lookup-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Description: Utility lookup classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package provides
 some utility functions for lookups and is used by the modules that make 
 up the platform.

Package: libnb-org-openide-modules-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends},
 libnb-org-openide-util-java (>= ${source:Version}),
 libnb-org-openide-util-lookup-java (>= ${source:Version})
Description: Utility classes for modules from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package provides
 some utility functions for managing NetBeans modules.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
# export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64

#package names
pkg-platform			:= platform18
pkg-lib-platform		:= libnb-$(pkg-platform)
libnb-platform-java		:= $(pkg-lib-platform)-java
libnb-platform-java-doc 	:= $(pkg-lib-platform)-java-doc
libnb-platform-devel-java	:= libnb-platform-devel-java
#libnb-platform-nbms-java	:= $(pkg-lib-platform)-nbms-java

# Included clusters
base-platform                  := $(pkg-platform)

NBDIR          := /usr/share/netbeans
export JAVADIR := /usr/share/java

JH_JAR          := jhall.jar
JSEARCH_JAR     := jsearch.jar
NB_JH_JAR       := jhall-2.0_05.jar
NB_JSEARCH_JAR  := jsearch-2.0_05.jar

JAVADOC_WEBSITE		:= http://bits.netbeans.org/7.4/javadoc

NB_INSTALL_DIR := usr/share/netbeans

EXT_JAR_LINK_DIR	:= $(NB_INSTALL_DIR)/$(pkg-platform)/modules/ext/
LIB_DIR			:= $(NB_INSTALL_DIR)/$(pkg-platform)/lib/

INSTALL        := dh_install -p
LINK           := dh_link -p

NB_PLATFORM_BUILD_DIR := $(shell pwd)/nbbuild/netbeans/platform

DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | \
			       grep -e '^Version' | \
                               perl -pi -e 's/^Version:\s+(.*)\+dfsg\d+-\d+.*$$/$$1/')

# Defined function to be used to create symlinks
define symlink
	mkdir -p $(dir $(2))
	ln -sf $(1) $(2)
endef

%:
	dh $@ --with javahelper

override_dh_auto_build:
	if [ -e javahelp/external/binaries-list ]; then \
	echo "ERROR: Make sure patches are applied before clean/build" && false;  fi
	mkdir -p nbbuild/external/xhtml1-dtds
	ln -sf /usr/share/xml/xhtml/schema/dtd/1.0/xhtml* nbbuild/external/xhtml1-dtds
	ln -sf /usr/share/xml/entities/xhtml/xhtml* nbbuild/external/xhtml1-dtds
	# link the required jars
	$(shell awk 'NF==4 {printf("ln -sf %s %s/%s;\n",$$1,$$2,$$4)}' debian/linked-jars)
	################################################################
	# Build the Windows launcher
	mkdir -p nbbuild/netbeans/platform/lib
	cd o.n.bootstrap/launcher/windows && LDFLAGS="" CONF="nbexec" make -e
	cd o.n.bootstrap/launcher/windows && LDFLAGS="" CONF="nbexec64" make -e
	cd apisupport.harness/windows-launcher-src && LDFLAGS="" CONF="app.exe" make -e
	cd apisupport.harness/windows-launcher-src && LDFLAGS="" CONF="app64.exe" make -e
	################################################################
	# Build the platform. DISPLAY must be unset to avoid build failures.
	unset DISPLAY; ant \
	-Dhg.id=debian-$(DEB_FULL_VERSION) \
	-Dpermit.jdk7.builds=true \
	-Dbuild.compiler.deprecation=false \
	-Dbuild.compiler.debug=false \
	-Dext.binaries.downloaded=true \
	-Dverify.checkout=false \
	-f nbbuild/build.xml build-platform
	################################################################
	# Build javadoc package
	ant \
	-Dpermit.jdk7.builds=true \
	-Dbuild.compiler.deprecation=false \
	-Dbuild.compiler.debug=false \
	-Dverify.checkout=false \
	-Dallmodules= \
	-Dcluster.config=platform \
	-Djavadoc.docs.org-netbeans-api-java=$(JAVADOC_WEBSITE)/org-netbeans-api-java/ \
	-Djavadoc.docs.org-netbeans-modules-project-ant=$(JAVADOC_WEBSITE)/org-netbeans-modules-project-ant/ \
	-Djavadoc.docs.org-netbeans-modules-projectapi=$(JAVADOC_WEBSITE)/org-netbeans-modules-projectapi/ \
	-f nbbuild/build.xml build-javadoc
	# remove the zip files - we only want the extracted files
	rm -f nbbuild/build/javadoc/*.zip


override_dh_auto_install:
	# recreate links
	$(shell awk 'NF==4 {printf("ln -sf %s nbbuild/netbeans/%s/%s;\n",$$1,$$3,$$4)}' debian/linked-jars)
	# Install libraries
	mh_installjar -plibnb-org-openide-util-java -l debian/pom/openide-util.xml \
		nbbuild/netbeans/platform/lib/org-openide-util.jar
	mh_installpom -plibnb-org-openide-util-java debian/pom/openide-util.xml
	mh_installjar -plibnb-org-openide-util-lookup-java -l debian/pom/openide-util-lookup.xml \
		nbbuild/netbeans/platform/lib/org-openide-util-lookup.jar
	mh_installpom -plibnb-org-openide-util-lookup-java debian/pom/openide-util-lookup.xml
	mh_installjar -plibnb-org-openide-modules-java -l debian/pom/openide-modules.xml \
		nbbuild/netbeans/platform/lib/org-openide-modules.jar
	mh_installpom -plibnb-org-openide-modules-java debian/pom/openide-modules.xml
	#
	# Install Platform
	echo > nbbuild/netbeans/platform/.noautoupdate
	echo > nbbuild/netbeans/platform/.lastModified
	$(INSTALL)$(libnb-platform-java)   nbbuild/netbeans/platform/* $(NB_INSTALL_DIR)/$(pkg-platform)
	$(INSTALL)$(libnb-platform-java)   nbbuild/netbeans/platform/.noautoupdate $(NB_INSTALL_DIR)/$(pkg-platform)
	$(INSTALL)$(libnb-platform-java)   nbbuild/netbeans/platform/.lastModified $(NB_INSTALL_DIR)/$(pkg-platform)
	$(LINK)$(libnb-platform-java) $(JAVADIR)/org-openide-util.jar        $(LIB_DIR)/org-openide-util.jar
	$(LINK)$(libnb-platform-java) $(JAVADIR)/org-openide-util-lookup.jar $(LIB_DIR)/org-openide-util-lookup.jar
	$(LINK)$(libnb-platform-java) $(JAVADIR)/org-openide-modules.jar     $(LIB_DIR)/org-openide-modules.jar
	#
	# Install devel package
	rm -f nbbuild/netbeans/harness/antlib/$(NB_JSEARCH_JAR)
	echo > nbbuild/netbeans/harness/.noautoupdate
	echo > nbbuild/netbeans/harness/.lastModified
	$(INSTALL)$(libnb-platform-devel-java)   nbbuild/netbeans/harness/* $(NB_INSTALL_DIR)/harness
	$(INSTALL)$(libnb-platform-devel-java)   nbbuild/netbeans/harness/.noautoupdate $(NB_INSTALL_DIR)/harness
	$(INSTALL)$(libnb-platform-devel-java)   nbbuild/netbeans/harness/.lastModified $(NB_INSTALL_DIR)/harness
	#
	#Fixing permissions
	chmod 0755 debian/$(libnb-platform-devel-java)/$(NB_INSTALL_DIR)/harness/launchers/app.sh
	#
	# Install nbms package
	#$(INSTALL)$(libnb-platform-nbms-java)   nbbuild/nbms/* $(NB_INSTALL_DIR)/$(pkg-platform)-nbms

override_dh_auto_clean:
	if [ -e javahelp/external/binaries-list ]; then \
	echo "ERROR: Make sure patches are applied before clean/build" && false;  fi
	-rm -f *.cdbs-config_list
	-rm -f stamp-build-$(libnb-platform-java)
	-rm -f stamp-build-$(libnb-platform-devel-java)
	-rm -f stamp-build-$(libnb-platform-java-doc)
	$(call symlink, $(JAVADIR)/$(JH_JAR), javahelp/external/$(NB_JH_JAR))
	$(call symlink, $(JAVADIR)/$(JSEARCH_JAR), apisupport.harness/external/$(NB_JSEARCH_JAR))
	ant -Dpermit.jdk7.builds=true -f nbbuild/build.xml clean
	cd o.n.bootstrap/launcher/windows && CONF="nbexec" make -e clean
	cd o.n.bootstrap/launcher/windows && CONF="nbexec64" make -e clean
	cd apisupport.harness/windows-launcher-src && CONF="app.exe" make -e clean
	cd apisupport.harness/windows-launcher-src && CONF="app64.exe" make -e clean
	mh_clean
# remove all the symlinks to jar files we created
	find . -name "*.jar" -type l -execdir rm -f \{\} \;
	-rm -rf nbbuild/external/xhtml1-dtds
	-rm -f  nbbuild/nbproject/private/scan-cache-standard.ser

override_jh_depends:
	# Skipping jh_depends run - since we use symlinks to /usr/share/java then 
	# jh_depends gets it wrong.

get-orig-source:
	uscan --download-version $(subst +dfsg\d*,,$(DEB_UPSTREAM_VERSION)) --force-download

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,downloadurlmangle=s/$/final\/zip/ \
http://dlc.sun.com.edgesuite.net/netbeans/ ([0-9.]+)/ debian debian/orig-tar.sh

## libnb-platform18-java 8.0.2+dfsg1

=== debian/changelog ===
libnb-platform18-java (8.0.2+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 8.0.2+dfsg1.
    - Fix FTBFS in sid by updating the package to the latest upstream release.
      (Closes: #784442)
  * Replace b-d w3c-dtd-xhtml with w3c-sgml-lib because the former will be
    removed from Debian. (Closes: #787177)
  * debian/control:
    - Tighten build-dependency on felix-framework.
    - Declare compliance with Debian Policy 3.9.6.
    - Remove virtual java7-jdk build-dependency. (Closes: #754602)
    - Switch Vcs-Browser field to cgit.
    - Run wrap-and-sort -sa.
    - Add myself to Uploaders.
    - Remove obsolete Breaks, Replaces, Conflicts and Provides fields.
  * Use compat level 9 and require debhelper >= 9.
  * Remove duplicate files in doc package. Add rdfind and symlinks to
    Build-Depends-Indep.
  * Update linked-jars for new release.
  * Change version in pom files to 8.0.2.
  * Rebase all patches for new release.
  * Drop netbeans-platform~classfile-version.patch. Use upstream values.
  * Drop netbeans-platform~include-extras.patch and use only included modules.
  * Drop netbeans-platform~suitebuild.patch because the build does not fail and
    we don't build for older netbeans platforms either.
  * Add osgi-update.patch for incorporating the changes of the OSGi framework
    specification.
  * Add netbeans-platform-junit4.patch and bundle Junit4, so that nobody has to
    download Junit4 from the Internet.
  * Fix privacy breach logo lintian error and privacy breach lintian warning by
    removing the links to external image sources in javadoc files in
    debian/rules.
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@gambaru.de>  Sat, 20 Jun 2015 00:50:19 +0200

=== debian/control ===
Source: libnb-platform18-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrew Ross <ubuntu@rossfamily.co.uk>,
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 ant (>= 1.7.0),
 ant-optional (>= 1.7.0),
 antlr3 (>= 3.2),
 debhelper (>= 9),
 default-jdk,
 g++-mingw-w64-i686,
 g++-mingw-w64-x86-64,
 javacc,
 javahelp2,
 javahelper,
 junit,
 junit4 (>= 4.6),
 libbindex-java,
 libequinox-osgi-java,
 libfelix-framework-java (>= 4.6.1),
 libfelix-main-java,
 libjemmy2-java,
 libjna-platform-java,
 libjnlp-servlet-java,
 libosgi-compendium-java,
 libosgi-core-java,
 libstringtemplate-java,
 libswing-layout-java (>= 1.0.3),
 maven-repo-helper,
 rdfind,
 symlinks,
 testng (>=6.8),
 w3c-sgml-lib
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/libnb-platform-java.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/libnb-platform-java.git
Homepage: http://netbeans.org/

Package: libnb-platform18-java
Architecture: all
Depends:
 antlr3 (>= 3.2),
 javahelp2,
 junit4 (>= 4.6),
 libequinox-osgi-java,
 libfelix-framework-java,
 libfelix-main-java,
 libjna-platform-java,
 libnb-org-openide-modules-java (>= ${source:Version}),
 libnb-org-openide-util-java (>= ${source:Version}),
 libnb-org-openide-util-lookup-java (>= ${source:Version}),
 libosgi-compendium-java,
 libosgi-core-java,
 libswing-layout-java (>= 1.0.3),
 testng,
 ${java:Depends},
 ${misc:Depends}
Suggests:
 libnb-platform18-java-doc
Description: NetBeans Platform for building rich desktop applications in Java
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu
 items, toolbar items, keyboard shortcuts and more. It is the core of the
 NetBeans IDE.
 .
 This package provides the platform itself.

Package: libnb-platform-devel-java
Architecture: all
Depends:
 ant,
 javahelp2,
 libbindex-java,
 libjemmy2-java,
 libjnlp-servlet-java,
 libnb-platform18-java,
 ${java:Depends},
 ${misc:Depends}
Description: Build harness for NetBeans Platform
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu
 items, toolbar items, keyboard shortcuts and more. It is the core of the
 NetBeans IDE.
 .
 This package contains the NetBeans Platform Harness containing the build
 scripts and ant tasks required to build an application on top of NetBeans
 Platform.

Package: libnb-platform18-java-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Recommends:
 ${java:Recommends}
Suggests:
 libnb-platform18-java
Description: NetBeans Platform javadoc
 NetBeans Platform is a set of modules, each providing their own APIs
 and working together or in a standalone mode. This package provides
 one master javadoc to all of them.

Package: libnb-org-openide-util-java
Architecture: all
Depends:
 libnb-org-openide-util-lookup-java (>= ${source:Version}),
 ${java:Depends},
 ${misc:Depends}
Description: Utility classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package provides
 some utility functions used by the modules that make up the platform.

Package: libnb-org-openide-util-lookup-java
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Description: Utility lookup classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package provides
 some utility functions for lookups and is used by the modules that make
 up the platform.

Package: libnb-org-openide-modules-java
Architecture: all
Depends:
 libnb-org-openide-util-java (>= ${source:Version}),
 libnb-org-openide-util-lookup-java (>= ${source:Version}),
 ${java:Depends},
 ${misc:Depends}
Description: Utility classes for modules from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package provides
 some utility functions for managing NetBeans modules.

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,16 @@
 #!/usr/bin/make -f
 
 export JAVA_HOME=/usr/lib/jvm/default-java
-# export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64
 
 #package names
-pkg-platform			:= platform18
-pkg-lib-platform		:= libnb-$(pkg-platform)
-libnb-platform-java		:= $(pkg-lib-platform)-java
-libnb-platform-java-doc 	:= $(pkg-lib-platform)-java-doc
-libnb-platform-devel-java	:= libnb-platform-devel-java
-#libnb-platform-nbms-java	:= $(pkg-lib-platform)-nbms-java
+pkg-platform                := platform18
+pkg-lib-platform            := libnb-$(pkg-platform)
+libnb-platform-java         := $(pkg-lib-platform)-java
+libnb-platform-java-doc     := $(pkg-lib-platform)-java-doc
+libnb-platform-devel-java   := libnb-platform-devel-java
 
 # Included clusters
-base-platform                  := $(pkg-platform)
+base-platform := $(pkg-platform)
 
 NBDIR          := /usr/share/netbeans
 export JAVADIR := /usr/share/java
@@ -22,21 +20,22 @@
 NB_JH_JAR       := jhall-2.0_05.jar
 NB_JSEARCH_JAR  := jsearch-2.0_05.jar
 
-JAVADOC_WEBSITE		:= http://bits.netbeans.org/7.4/javadoc
+JAVADOC_WEBSITE := http://bits.netbeans.org/8.0.1/javadoc
 
 NB_INSTALL_DIR := usr/share/netbeans
 
-EXT_JAR_LINK_DIR	:= $(NB_INSTALL_DIR)/$(pkg-platform)/modules/ext/
-LIB_DIR			:= $(NB_INSTALL_DIR)/$(pkg-platform)/lib/
+EXT_JAR_LINK_DIR := $(NB_INSTALL_DIR)/$(pkg-platform)/modules/ext/
+LIB_DIR := $(NB_INSTALL_DIR)/$(pkg-platform)/lib/
 
 INSTALL        := dh_install -p
 LINK           := dh_link -p
 
 NB_PLATFORM_BUILD_DIR := $(shell pwd)/nbbuild/netbeans/platform
 
-DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | \
-			       grep -e '^Version' | \
+DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | grep -e '^Version' | \
                                perl -pi -e 's/^Version:\s+(.*)\+dfsg\d+-\d+.*$$/$$1/')
+
+BUILDSTAMP := $(shell date --utc --date="`dpkg-parsechangelog -SDate`" "+%Y%m%d")
 
 # Defined function to be used to create symlinks
 define symlink
@@ -50,10 +49,11 @@
 override_dh_auto_build:
 	if [ -e javahelp/external/binaries-list ]; then \
 	echo "ERROR: Make sure patches are applied before clean/build" && false;  fi
+	# w3c-sgml-lib: needed for xml validation, otherwise FTBFS
 	mkdir -p nbbuild/external/xhtml1-dtds
-	ln -sf /usr/share/xml/xhtml/schema/dtd/1.0/xhtml* nbbuild/external/xhtml1-dtds
-	ln -sf /usr/share/xml/entities/xhtml/xhtml* nbbuild/external/xhtml1-dtds
-	# link the required jars
+	ln -sf /usr/share/xml/w3c-sgml-lib/schema/dtd/REC-xhtml1-20020801/xhtml* nbbuild/external/xhtml1-dtds
+	ln -sf /usr/share/xml/w3c-sgml-lib/schema/dtd/REC-xhtml-modularization-20100729/xhtml* nbbuild/external/xhtml1-dtds
+	# link Debian's system jars
 	$(shell awk 'NF==4 {printf("ln -sf %s %s/%s;\n",$$1,$$2,$$4)}' debian/linked-jars)
 	################################################################
 	# Build the Windows launcher
@@ -65,7 +65,8 @@
 	################################################################
 	# Build the platform. DISPLAY must be unset to avoid build failures.
 	unset DISPLAY; ant \
-	-Dhg.id=debian-$(DEB_FULL_VERSION) \
+	-Dbuildstamp=$(BUILDSTAMP) \
+	-Dhg.id=debian-$(DEB_UPSTREAM_VERSION) \
 	-Dpermit.jdk7.builds=true \
 	-Dbuild.compiler.deprecation=false \
 	-Dbuild.compiler.debug=false \
@@ -74,6 +75,11 @@
 	-f nbbuild/build.xml build-platform
 	################################################################
 	# Build javadoc package
+	# Fix privacy breach logo and generic first
+	grep -rl "netbeans.org/favicon.ico" nbbuild/javadoctools/ | xargs sed -i \
+		's|href="http://www.netbeans.org/favicon.ico"||g'
+	grep -rl "NetBeansPlatformForBeginners.jpg" openide*/ | xargs sed -i \
+		's|http://wiki.apidesign.org/images/0/03/NetBeansPlatformForBeginners.jpg||g'
 	ant \
 	-Dpermit.jdk7.builds=true \
 	-Dbuild.compiler.deprecation=false \
@@ -86,7 +92,9 @@
 	-Djavadoc.docs.org-netbeans-modules-projectapi=$(JAVADOC_WEBSITE)/org-netbeans-modules-projectapi/ \
 	-f nbbuild/build.xml build-javadoc
 	# remove the zip files - we only want the extracted files
-	rm -f nbbuild/build/javadoc/*.zip
+	$(RM) nbbuild/build/javadoc/*.zip
+	rdfind -outputname /dev/null -makesymlinks true nbbuild/build/javadoc
+	symlinks -rsc nbbuild/build/javadoc
 
 
 override_dh_auto_install:
@@ -123,17 +131,14 @@
 	#
 	#Fixing permissions
 	chmod 0755 debian/$(libnb-platform-devel-java)/$(NB_INSTALL_DIR)/harness/launchers/app.sh
-	#
-	# Install nbms package
-	#$(INSTALL)$(libnb-platform-nbms-java)   nbbuild/nbms/* $(NB_INSTALL_DIR)/$(pkg-platform)-nbms
 
 override_dh_auto_clean:
 	if [ -e javahelp/external/binaries-list ]; then \
 	echo "ERROR: Make sure patches are applied before clean/build" && false;  fi
-	-rm -f *.cdbs-config_list
-	-rm -f stamp-build-$(libnb-platform-java)
-	-rm -f stamp-build-$(libnb-platform-devel-java)
-	-rm -f stamp-build-$(libnb-platform-java-doc)
+	$(RM) *.cdbs-config_list
+	$(RM) stamp-build-$(libnb-platform-java)
+	$(RM) stamp-build-$(libnb-platform-devel-java)
+	$(RM) stamp-build-$(libnb-platform-java-doc)
 	$(call symlink, $(JAVADIR)/$(JH_JAR), javahelp/external/$(NB_JH_JAR))
 	$(call symlink, $(JAVADIR)/$(JSEARCH_JAR), apisupport.harness/external/$(NB_JSEARCH_JAR))
 	ant -Dpermit.jdk7.builds=true -f nbbuild/build.xml clean
@@ -142,14 +147,15 @@
 	cd apisupport.harness/windows-launcher-src && CONF="app.exe" make -e clean
 	cd apisupport.harness/windows-launcher-src && CONF="app64.exe" make -e clean
 	mh_clean
-# remove all the symlinks to jar files we created
-	find . -name "*.jar" -type l -execdir rm -f \{\} \;
-	-rm -rf nbbuild/external/xhtml1-dtds
-	-rm -f  nbbuild/nbproject/private/scan-cache-standard.ser
+	# remove all the symlinks to jar files we created
+	find . -name "*.jar" -type l -delete
+	$(RM) -r nbbuild/external/xhtml1-dtds
+	$(RM) nbbuild/nbproject/private/scan-cache-standard.ser
+	$(RM) o.n.bootstrap/launcher/windows/nbexec_exe.res
 
 override_jh_depends:
-	# Skipping jh_depends run - since we use symlinks to /usr/share/java then 
+	# Skipping jh_depends run - since we use symlinks to /usr/share/java then
 	# jh_depends gets it wrong.
 
 get-orig-source:
-	uscan --download-version $(subst +dfsg\d*,,$(DEB_UPSTREAM_VERSION)) --force-download
+	uscan --download-current-version --force-download --no-symlink
